BimpHelp

Supplier orders: Bimp API methods

Bimp API methods for the “Supplier orders” resource (/org2/invoiceForSupplierPayment/…): 6 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/invoiceForSupplierPayment/api-readRead invoice for supplier payment by uuid
POST /org2/invoiceForSupplierPayment/api-readList
POST /org2/invoiceForSupplierPayment/api-createCreate invoice for supplier payment
POST /org2/invoiceForSupplierPayment/api-updateUpdate invoice for supplier payment
POST /org2/invoiceForSupplierPayment/api-readStatuses
POST /org2/invoiceForSupplierPayment/api-cancelCancel an invoice for supplier payment document

api-read

POST /org2/invoiceForSupplierPayment/api-read

Read invoice for supplier payment by uuid

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yes

Response: data field

FieldTypeDescription
uuidstring (uuid)
datestring
numberstring
authorstring (uuid)
commentstring
contractstring (uuid)
organizationstring (uuid)
baseDocumentstring (uuid)
namestring
warehousestring (uuid)
priceListstring (uuid)
counterpartystring (uuid)
shipmentDatestring
statusstring (uuid)
daysPostponedstring (uuid)
addVATboolean
sumnumber
VATnumber
setUpByContractboolean
amountReserveDaysnumber
invoiceForCustomerPaymentstring (uuid)
settlementTypestring (uuid)
bankAccountstring (uuid)
costWOVatboolean
orderInTablePartboolean
projectstring (uuid)
automaticPaymentsPlanningboolean
responsiblestring (uuid)
mainRatenumber
priceRatenumber
processingbooleanAn informational flag marking the document as related to tolling (processing)
productsobject[]
products[].nomenclaturestring (uuid)
products[].namestring
products[].articlestring
products[].skustring
products[].unitsOfMeasurmentstring (uuid)
products[].quantitynumber
products[].pricenumber
products[].sumnumber
products[].lineOfBusinessstring (uuid)
products[].projectstring (uuid)
products[].discountPercentnumber
products[].reservenumber
products[].invoiceForCustomerPaymentstring (uuid)
products[].discountnumber
products[].VATaccountedstring (uuid)
products[].VATamountnumber
products[].leftoversnumber
products[].supplierNomenclaturestring
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/invoiceForSupplierPayment/api-readList

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyes
pagination.countnumberyes
filtersobject
filters.organizationstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
filters.counterpartystring (uuid)[]A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
filters.nomenclaturestring (uuid)[]A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
filters.authorstring (uuid)[]A unique identifier for the Author, obtainable from the /user/api-readList request
filters.invoiceForSupplierPaymentStatusstring (uuid)[]A unique status for the Invoice for supplier payment, obtainable from the /invoiceForSupplierPayment/api-readStatuses request
filters.paymentTypestring (uuid)[]The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
filters.sumobject[]Filter by sum range [min, max]
filters.commentstringAn optional text field for any additional notes or comments related to the document
filters.dateobject[]
filters.createdstring[]Filter by actual creation date range [date1, date2]
filters.updatedstring[]Filter by update date range [date1, date2]

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].namestring
[].numberstring
[].datestring
[].commentstring
[].sumnumber
[].currencystring
[].counterpartystring
[].organizationstring
[].responsiblestring
[].statusstring
[].hasAttachmentsboolean
[].productsobject[]
[].products[].nomenclaturestring (uuid)
[].products[].namestring
[].products[].articlestring
[].products[].skustring
[].products[].unitsOfMeasurmentstring (uuid)
[].products[].quantitynumber
[].products[].pricenumber
[].products[].sumnumber
[].products[].lineOfBusinessstring (uuid)
[].products[].projectstring (uuid)
[].products[].discountPercentnumber
[].products[].reservenumber
[].products[].invoiceForCustomerPaymentstring (uuid)
[].products[].discountnumber
[].products[].VATaccountedstring (uuid)
[].products[].VATamountnumber
[].products[].leftoversnumber
[].products[].supplierNomenclaturestring
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":20}}'

api-create

POST /org2/invoiceForSupplierPayment/api-create

Create invoice for supplier payment

Request body (JSON)

FieldTypeRequiredDescription
counterpartystring (uuid)yesA unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
contractstring (uuid)yesThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
organizationstring (uuid)yesA unique identifier for the Organization, obtainable from the /organization/api-readList request
warehousestring (uuid)yesA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
projectstring (uuid)yesA unique identifier for the Project, obtainable from the /project/api-readList request
authorstring (uuid)yesA unique identifier for the Author, obtainable from the /user/api-readList request
automaticPaymentsPlanningbooleanAdding to payment calendar
bankAccountstring (uuid)A unique identifier for the Bank account, obtainable from the /bankAccounts/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
orderInTablePartbooleanFlag set when the user pressed the ‘Item in the table section’ button (item set per product line)
productsobject[]
products[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].quantitynumberyesThe amount of items
products[].pricenumberyesThe price of the item/document
products[].lineOfBusinessstring (uuid)yesA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
products[].projectstring (uuid)yesA unique identifier for the Project, obtainable from the /project/api-readList request
products[].unitOfMeasurmentstring (uuid)yesA unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
products[].leftoversnumberThe amount of leftovers
products[].discountPercentnumberThe discount percent amount applied to the item
products[].reservenumberThe amount of the product that has been reserved
products[].VATaccountedstring (uuid)Value indicating whether VAT (Value Added Tax) has been accounted for
products[].sumnumberThe sum of the document
products[].VATamountnumberThe amount of the VAT
products[].discountnumberThe discount amount applied to the item
products[].invoiceForCustomerPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
products[].supplierNomenclaturestringSupplier nomenclature name
VATnumberThe total amount of Value Added Tax (VAT) applied
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
numberstringThe document’s number. Use this field if you need to specify a custom number
internalNumberstringThe internal document’s number. Use this field if you need to specify a custom number
commentstringAn optional text field for any additional notes or comments related to the document
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
daysPostponedstring (uuid)The amount of the days postponed
priceListSuppliersstring (uuid)A unique identifier for the Price List, obtainable from the /priceList/api-readList request
invoiceForSupplierPaymentStatusstring (uuid)A unique status for the Invoice for supplier payment, obtainable from the /invoiceForSupplierPayment/api-readStatuses request
invoiceForCustomerPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
amountReserveDaysnumberThe amount of reserved days
addVATbooleanBoolean flag equivalent to the ‘Include VAT’. Set to true to apply VAT calculations.
processingbooleanAn informational flag marking the document as related to tolling (processing)

Response: data field

FieldTypeDescription
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"counterparty":"00000000-0000-0000-0000-000000000000","contract":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","warehouse":"00000000-0000-0000-0000-000000000000","project":"00000000-0000-0000-0000-000000000000","author":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/invoiceForSupplierPayment/api-update

Update invoice for supplier payment

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yes
counterpartystring (uuid)yesA unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
contractstring (uuid)yesThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
organizationstring (uuid)yesA unique identifier for the Organization, obtainable from the /organization/api-readList request
warehousestring (uuid)yesA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
projectstring (uuid)yesA unique identifier for the Project, obtainable from the /project/api-readList request
authorstring (uuid)yesA unique identifier for the Author, obtainable from the /user/api-readList request
automaticPaymentsPlanningbooleanAdding to payment calendar
bankAccountstring (uuid)A unique identifier for the Bank account, obtainable from the /bankAccounts/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
orderInTablePartbooleanFlag set when the user pressed the ‘Item in the table section’ button (item set per product line)
productsobject[]
products[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].quantitynumberyesThe amount of items
products[].pricenumberyesThe price of the item/document
products[].lineOfBusinessstring (uuid)yesA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
products[].projectstring (uuid)yesA unique identifier for the Project, obtainable from the /project/api-readList request
products[].unitOfMeasurmentstring (uuid)yesA unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
products[].leftoversnumberThe amount of leftovers
products[].discountPercentnumberThe discount percent amount applied to the item
products[].reservenumberThe amount of the product that has been reserved
products[].VATaccountedstring (uuid)Value indicating whether VAT (Value Added Tax) has been accounted for
products[].sumnumberThe sum of the document
products[].VATamountnumberThe amount of the VAT
products[].discountnumberThe discount amount applied to the item
products[].invoiceForCustomerPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
products[].supplierNomenclaturestringSupplier nomenclature name
VATnumberThe total amount of Value Added Tax (VAT) applied
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
numberstringThe document’s number. Use this field if you need to specify a custom number
internalNumberstringThe internal document’s number. Use this field if you need to specify a custom number
commentstringAn optional text field for any additional notes or comments related to the document
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
daysPostponedstring (uuid)The amount of the days postponed
priceListSuppliersstring (uuid)A unique identifier for the Price List, obtainable from the /priceList/api-readList request
invoiceForSupplierPaymentStatusstring (uuid)A unique status for the Invoice for supplier payment, obtainable from the /invoiceForSupplierPayment/api-readStatuses request
invoiceForCustomerPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
amountReserveDaysnumberThe amount of reserved days
addVATbooleanBoolean flag equivalent to the ‘Include VAT’. Set to true to apply VAT calculations.
processingbooleanAn informational flag marking the document as related to tolling (processing)

Response: data field

FieldTypeDescription
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","counterparty":"00000000-0000-0000-0000-000000000000","contract":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","warehouse":"00000000-0000-0000-0000-000000000000","project":"00000000-0000-0000-0000-000000000000","author":"00000000-0000-0000-0000-000000000000"}'

api-readStatuses

POST /org2/invoiceForSupplierPayment/api-readStatuses

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].namestring
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-readStatuses' \
  -H 'access-token: <company token>'

api-cancel

POST /org2/invoiceForSupplierPayment/api-cancel

Cancel an invoice for supplier payment document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the invoice for supplier payment document

Response: data field

FieldTypeDescription
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/invoiceForSupplierPayment/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.